Published
Friday, December 19, 2008 - 07:03
Written by
The team has released version 2.1.4 with approximately 25 minor bug fixes. You can see a listing of the issues included in this release on the issue tracker.

Download

You can download CiviCRM 2.1.4 from our download page. Select from the civicrm-stable section. The filenames include the 2.1.4 label: civicrm-2.1.4…. Be sure and download the correct version for your CMS (Drupal / Joomla!). Select the Drupal download for Standalone upgrades.  

Upgrading

You can upgrade directly to 2.1.4 from 2.1.0, 2.1.1 or 2.1.2. We've also made a few changes to simplify the upgrade process a bit. Upgrade instructions are available on the wiki for Drupal, Joomla and Standalone. If you're still running CiviCRM 2.0 - "making the move to 2.1" has gotten a bit easier as well (we've eliminated a few steps in the upgrade). Of course you'll still need to upgrade from Drupal 5 to Drupal 6 or Joomla! 1.0 to Joomla! 1.5. This could be a good time to look at requirements and support for any other components / modules you're using. Complete upgrade instructions for 2.0 sites are on the wiki for Drupal and Joomla!.
Filed under